Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get customer group price

Gets a single customer group product variant price.

GET/api/v2/{team_slug}/{app_slug}/customer-groups/prices/{customer_group_price_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
customer_group_price_idstring<uuid>required
Responses
200

OK

dataCustomerGroupProductVariantPricerequired
Show properties
idUUIDrequired
customer_groupCustomerGroupRefrequired
Show properties
idUUIDrequired
slugstringrequired
namestringrequired
marketCustomerGroupPriceMarketrequired
Show properties
idUUIDrequired
slugstringrequired
namestringrequired
product_variantCustomerGroupPriceVariantRefrequired
Show properties
idUUIDrequired
variant_namestringrequired
price_amountintegerrequired
created_atstring<date-time>required
updated_atstring<date-time>required
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/customer-groups/prices/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "customer_group": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "slug": "string",
      "name": "string"
    },
    "market": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "slug": "string",
      "name": "string"
    },
    "product_variant": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "variant_name": "string"
    },
    "price_amount": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}